Calico™
API Reference
getCalico.com
API Reference
getCalico.com
  1. Providers
  • Getting Started
  • Use Cases
  • Calico Connect
  • Platform API
    • Authentication
    • OAuth
      • Authorization Callback
    • Providers
      • Add providers
        POST
      • List providers
        GET
      • Remove providers
        DELETE
    • Assets
      • User assets
      • Refresh asset list
    • Transactions
      • Transactions
      • Refresh transactions
  • Resources
    • Response codes
    • FAQs
  • Schemas
    • Schemas
      • OpenAPIIntegrationResponse
      • CalicoErrorResponse
      • RefreshResponse
      • CryptoSourceId
      • OpenAPIAssetPosition
      • CryptoSourceCredentialAuthType
      • Add Crypto Source
      • Add Crypto Source Response
      • CryptoSourceDescriptor
      • OpenAPIDeleteCryptoSourceRequest
      • number
      • OpenAPIGetConsentURLForThirdPartyResponse
      • TransactionType
      • OpenAPITransactionCategorization
      • OpenAPIFeeItem
      • OpenAPIFeeObject
      • OpenAPICurrencyValue
      • Input only transactions
      • Transactions data
      • Send transaction data
      • Output only transaction data
      • Receive transaction data
      • Transactions with input and output
      • Uncategorized transaction data
API Reference
getCalico.com
API Reference
getCalico.com
  1. Providers

Add providers

https://api.getcalico.com/platform/v1
https://api.getcalico.com/platform/v1
https://api.getcalico.com/platform/v1
https://api.getcalico.com/platform/v1
POST
/provider
Add a new digital asset source to an account.

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Body Params application/jsonRequired

Examples

Responses

🟢200OK
application/json
The request was successful but the crypto sources may not have been added. Check the body of the response for status and if a redirect is needed.
Body

🟢201Created
🟠400Bad Request
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST 'https://api.getcalico.com/platform/v1/provider' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "providerId": "ethereum",
    "providerAuthType": "wallet_address",
    "walletAddress": "0xF684986e3bB52204B16A83Fe239E9908e806d007",
    "displayLabel": "Test wallet"
}'
Response Response Example
200 - Example 1
{
    "added": true
}
Previous
Providers
Next
List providers